Package ru.bitel.bgbilling.plugins.edo.common.bean

# Enum Class DocTypeEnum

java.lang.Object
java.lang.Enum<DocTypeEnum>
ru.bitel.bgbilling.plugins.edo.common.bean.DocTypeEnum

All Implemented Interfaces:
  `Serializable`, `Comparable<DocTypeEnum>`, `Constable`

public enum DocTypeEnum extends Enum<DocTypeEnum>
Типы документов в ЭДО для отправки. Используется например чтобы указать тип для неформализованного документа.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BILL`
  `CERTIFICATE_OF_COMPLETED_WORKS`
  `CONTRACT`
  `DOCUMENT`
  `INVOICE`
  `LETTER`
  `RECONCILIATION_ACT`
  `TRANSPORT_WAYBILLS`
  `UPD`
  `WAYBILL`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  `static DocTypeEnum`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DocTypeEnum[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DOCUMENT

    public static final DocTypeEnum DOCUMENT

  - ### BILL

    public static final DocTypeEnum BILL

  - ### WAYBILL

    public static final DocTypeEnum WAYBILL

  - ### UPD

    public static final DocTypeEnum UPD

  - ### INVOICE

    public static final DocTypeEnum INVOICE

  - ### CERTIFICATE_OF_COMPLETED_WORKS

    public static final DocTypeEnum CERTIFICATE_OF_COMPLETED_WORKS

  - ### CONTRACT

    public static final DocTypeEnum CONTRACT

  - ### LETTER

    public static final DocTypeEnum LETTER

  - ### RECONCILIATION_ACT

    public static final DocTypeEnum RECONCILIATION_ACT

  - ### TRANSPORT_WAYBILLS

    public static final DocTypeEnum TRANSPORT_WAYBILLS

- ## Method Details

  - ### values

    public static DocTypeEnum[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DocTypeEnum valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getDescription

    public String getDescription()